## libatomic-ops 7.10.0

=== CMakeLists.txt ===
#
# Copyright (c) 2021-2022 Ivan Maidanski
##
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.
##

cmake_minimum_required(VERSION 3.10)

set(PACKAGE_VERSION 7.10.0)
# Version must match that in AC_INIT of configure.ac and that in README.
# Version must conform to: [0-9]+[.][0-9]+[.][0-9]+

# Info (current:revision:age) for the Libtool versioning system.
# These values should match those in src/Makefile.am.
set(LIBATOMIC_OPS_VER_INFO      4:0:3)
set(LIBATOMIC_OPS_GPL_VER_INFO  4:0:3)

project(libatomic_ops C)

if (POLICY CMP0057)
  # Required for CheckLinkerFlag, at least.
  cmake_policy(SET CMP0057 NEW)
endif()

include(CheckCCompilerFlag)
include(CheckFunctionExists)
include(CMakePackageConfigHelpers)
include(CTest)
include(GNUInstallDirs)

if (NOT (${CMAKE_VERSION} VERSION_LESS "3.18.0"))
  include(CheckLinkerFlag)
endif()

# Customize the build by passing "-D<option_name>=ON|OFF" in the command line.
option(AO_BUILD_SHARED_LIBS "Build shared libraries" OFF)
# option(BUILD_TESTING "Build tests" ON) - the standard one
option(enable_assertions "Enable assertion checking" OFF)
option(enable_werror "Treat warnings as errors" OFF)
option(enable_atomic_intrinsics "Use GCC atomic intrinsics" ON)
option(enable_docs "Build and install documentation" ON)
option(enable_gpl "Build atomic_ops_gpl library" ON)
option(install_headers "Install header and pkg-config metadata files" ON)

# Override the default build type to RelWithDebInfo (this instructs cmake to
# pass -O2 -g -DNDEBUG options to the compiler).
if (NOT CMAKE_BUILD_TYPE AND NOT CMAKE_CONFIGURATION_TYPES)
  set(CMAKE_BUILD_TYPE "RelWithDebInfo" CACHE
      STRING "Choose the type of build." FORCE)
  set_property(CACHE CMAKE_BUILD_TYPE PROPERTY
               STRINGS "Debug" "Release" "RelWithDebInfo" "MinSizeRel")
endif()

# Convert VER_INFO values to [SO]VERSION ones.
if (AO_BUILD_SHARED_LIBS)
  # atomic_ops:
  string(REGEX REPLACE "(.+):.+:.+"  "\\1" ao_cur ${LIBATOMIC_OPS_VER_INFO})
  string(REGEX REPLACE ".+:(.+):.+"  "\\1" ao_rev ${LIBATOMIC_OPS_VER_INFO})
  string(REGEX REPLACE ".+:.+:(.+)$" "\\1" ao_age ${LIBATOMIC_OPS_VER_INFO})
  math(EXPR AO_SOVERSION "${ao_cur} - ${ao_age}")
  set(AO_VERSION_PROP "${AO_SOVERSION}.${ao_age}.${ao_rev}")
  message(STATUS "AO_VERSION_PROP = ${AO_VERSION_PROP}")
  # atomic_ops_gpl:
  string(REGEX REPLACE "(.+):.+:.+"  "\\1" ao_gpl_cur
         ${LIBATOMIC_OPS_GPL_VER_INFO})
  string(REGEX REPLACE ".+:(.+):.+"  "\\1" ao_gpl_rev
         ${LIBATOMIC_OPS_GPL_VER_INFO})
  string(REGEX REPLACE ".+:.+:(.+)$" "\\1" ao_gpl_age
         ${LIBATOMIC_OPS_GPL_VER_INFO})
  math(EXPR AO_GPL_SOVERSION "${ao_gpl_cur} - ${ao_gpl_age}")
  set(AO_GPL_VERSION_PROP "${AO_GPL_SOVERSION}.${ao_gpl_age}.${ao_gpl_rev}")
  message(STATUS "AO_GPL_VERSION_PROP = ${AO_GPL_VERSION_PROP}")
endif(AO_BUILD_SHARED_LIBS)

# Output all warnings.
if (MSVC)
  # All warnings but ignoring "conditional expression is constant" ones.
  add_compile_options(/W4 /wd4127)
else()
  # TODO: add -[W]pedantic -Wno-long-long
  add_compile_options(-Wall -Wextra)
endif()

find_package(Threads REQUIRED)
message(STATUS "Thread library: ${CMAKE_THREAD_LIBS_INIT}")
include_directories(${Threads_INCLUDE_DIR})
set(THREADDLLIBS_LIST ${CMAKE_THREAD_LIBS_INIT})

if (CMAKE_USE_PTHREADS_INIT)
  # Required define if using POSIX threads.
  add_compile_options(-D_REENTRANT)
else()
  # No pthreads library available.
  add_compile_options(-DAO_NO_PTHREADS)
endif()

if (enable_assertions)
  # In case NDEBUG macro is defined e.g. by cmake -DCMAKE_BUILD_TYPE=Release.
  add_compile_options(-UNDEBUG)
else()
  # Define to disable assertion checking.
  add_compile_options(-DNDEBUG)
endif()

if (NOT enable_atomic_intrinsics)
  # Define to avoid GCC atomic intrinsics even if available.
  add_compile_options(-DAO_DISABLE_GCC_ATOMICS)
endif()

# AO API symbols export control.
if (AO_BUILD_SHARED_LIBS)
  add_compile_options(-DAO_DLL)
endif()

if (enable_werror)
  if (MSVC)
    add_compile_options(/WX)
  else()
    add_compile_options(-Werror)
  endif()
endif(enable_werror)

# Extra user-defined flags to pass to the C compiler.
if (DEFINED CFLAGS_EXTRA)
  separate_arguments(CFLAGS_EXTRA_LIST UNIX_COMMAND "${CFLAGS_EXTRA}")
  add_compile_options(${CFLAGS_EXTRA_LIST})
endif()

set(SRC src/atomic_ops.c)

if (CMAKE_C_COMPILER_ID STREQUAL "SunPro")
  # SunCC compiler on SunOS (Solaris).
  enable_language(ASM)
  set(SRC ${SRC} src/atomic_ops_sysdeps.S)
endif()

if (AO_BUILD_SHARED_LIBS)
  add_library(atomic_ops SHARED ${SRC})
else()
  add_library(atomic_ops STATIC ${SRC})
endif()
target_link_libraries(atomic_ops PRIVATE ${THREADDLLIBS_LIST})
target_include_directories(atomic_ops
                PUBLIC "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/src>"
                INTERFACE "$<INSTALL_INTERFACE:include>")

if (enable_gpl)
  set(AO_GPL_SRC src/atomic_ops_malloc.c src/atomic_ops_stack.c)
  if (AO_BUILD_SHARED_LIBS)
    add_library(atomic_ops_gpl SHARED ${AO_GPL_SRC})
  else()
    add_library(atomic_ops_gpl STATIC ${AO_GPL_SRC})
  endif()
  check_function_exists(mmap HAVE_MMAP)
  if (HAVE_MMAP)
    target_compile_definitions(atomic_ops_gpl PRIVATE HAVE_MMAP)
  endif()
  target_link_libraries(atomic_ops_gpl PRIVATE atomic_ops)
  target_include_directories(atomic_ops_gpl
                PUBLIC "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/src>"
                INTERFACE "$<INSTALL_INTERFACE:include>")
  if (AO_BUILD_SHARED_LIBS)
    set_property(TARGET atomic_ops_gpl PROPERTY VERSION ${AO_GPL_VERSION_PROP})
    set_property(TARGET atomic_ops_gpl PROPERTY SOVERSION ${AO_GPL_SOVERSION})
  endif()
  install(TARGETS atomic_ops_gpl EXPORT Atomic_opsTargets
          LIBRARY DESTINATION "${CMAKE_INSTALL_LIBDIR}"
          ARCHIVE DESTINATION "${CMAKE_INSTALL_LIBDIR}"
          RUNTIME DESTINATION "${CMAKE_INSTALL_BINDIR}"
          INCLUDES DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}")
endif(enable_gpl)

if (AO_BUILD_SHARED_LIBS)
  if (NOT (${CMAKE_SYSTEM_NAME} MATCHES "BSD"))
    if (${CMAKE_VERSION} VERSION_LESS "3.18.0")
      set(WL_NO_UNDEFINED_OPT "-Wl,--no-undefined")
      check_c_compiler_flag(${WL_NO_UNDEFINED_OPT} HAVE_FLAG_WL_NO_UNDEFINED)
    else()
      set(WL_NO_UNDEFINED_OPT "LINKER:--no-undefined")
      check_linker_flag(C "${WL_NO_UNDEFINED_OPT}" HAVE_FLAG_WL_NO_UNDEFINED)
    endif()
    if (HAVE_FLAG_WL_NO_UNDEFINED)
      # Declare that the libraries do not refer to external symbols.
      if (${CMAKE_VERSION} VERSION_LESS "3.13.0")
        target_link_libraries(atomic_ops PRIVATE ${WL_NO_UNDEFINED_OPT})
        if (enable_gpl)
          target_link_libraries(atomic_ops_gpl PRIVATE ${WL_NO_UNDEFINED_OPT})
        endif(enable_gpl)
      else()
        target_link_options(atomic_ops PRIVATE ${WL_NO_UNDEFINED_OPT})
        if (enable_gpl)
          target_link_options(atomic_ops_gpl PRIVATE ${WL_NO_UNDEFINED_OPT})
        endif(enable_gpl)
      endif()
    endif(HAVE_FLAG_WL_NO_UNDEFINED)
  endif()
  set_property(TARGET atomic_ops PROPERTY VERSION ${AO_VERSION_PROP})
  set_property(TARGET atomic_ops PROPERTY SOVERSION ${AO_SOVERSION})
endif(AO_BUILD_SHARED_LIBS)

install(TARGETS atomic_ops EXPORT Atomic_opsTargets
        LIBRARY DESTINATION "${CMAKE_INSTALL_LIBDIR}"
        ARCHIVE DESTINATION "${CMAKE_INSTALL_LIBDIR}"
        RUNTIME DESTINATION "${CMAKE_INSTALL_BINDIR}"
        INCLUDES DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}")

if (install_headers)
  install(FILES src/atomic_ops.h
          DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}")
  if (enable_gpl)
    install(FILES src/atomic_ops_malloc.h
                  src/atomic_ops_stack.h
            DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}")
  endif()

  install(FILES src/atomic_ops/ao_version.h
                src/atomic_ops/generalize-arithm.h
                src/atomic_ops/generalize-small.h
                src/atomic_ops/generalize.h
          DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}/atomic_ops")

  install(FILES src/atomic_ops/sysdeps/all_acquire_release_volatile.h
                src/atomic_ops/sysdeps/all_aligned_atomic_load_store.h
                src/atomic_ops/sysdeps/all_atomic_load_store.h
                src/atomic_ops/sysdeps/all_atomic_only_load.h
                src/atomic_ops/sysdeps/ao_t_is_int.h
                src/atomic_ops/sysdeps/emul_cas.h
                src/atomic_ops/sysdeps/generic_pthread.h
                src/atomic_ops/sysdeps/ordered.h
                src/atomic_ops/sysdeps/ordered_except_wr.h
                src/atomic_ops/sysdeps/read_ordered.h
                src/atomic_ops/sysdeps/standard_ao_double_t.h
                src/atomic_ops/sysdeps/test_and_set_t_is_ao_t.h
                src/atomic_ops/sysdeps/test_and_set_t_is_char.h
          DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}/atomic_ops/sysdeps")

  install(FILES src/atomic_ops/sysdeps/armcc/arm_v6.h
          DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}/atomic_ops/sysdeps/armcc")
  install(FILES src/atomic_ops/sysdeps/gcc/aarch64.h
                src/atomic_ops/sysdeps/gcc/alpha.h
                src/atomic_ops/sysdeps/gcc/arm.h
                src/atomic_ops/sysdeps/gcc/avr32.h
                src/atomic_ops/sysdeps/gcc/cris.h
                src/atomic_ops/sysdeps/gcc/e2k.h
                src/atomic_ops/sysdeps/gcc/generic-arithm.h
                src/atomic_ops/sysdeps/gcc/generic-small.h
                src/atomic_ops/sysdeps/gcc/generic.h
                src/atomic_ops/sysdeps/gcc/hexagon.h
                src/atomic_ops/sysdeps/gcc/hppa.h
                src/atomic_ops/sysdeps/gcc/ia64.h
                src/atomic_ops/sysdeps/gcc/m68k.h
                src/atomic_ops/sysdeps/gcc/mips.h
                src/atomic_ops/sysdeps/gcc/powerpc.h
                src/atomic_ops/sysdeps/gcc/riscv.h
                src/atomic_ops/sysdeps/gcc/s390.h
                src/atomic_ops/sysdeps/gcc/sh.h
                src/atomic_ops/sysdeps/gcc/sparc.h
                src/atomic_ops/sysdeps/gcc/tile.h
                src/atomic_ops/sysdeps/gcc/x86.h
          DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}/atomic_ops/sysdeps/gcc")

  install(FILES src/atomic_ops/sysdeps/hpc/hppa.h
                src/atomic_ops/sysdeps/hpc/ia64.h
          DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}/atomic_ops/sysdeps/hpc")
  install(FILES src/atomic_ops/sysdeps/ibmc/powerpc.h
          DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}/atomic_ops/sysdeps/ibmc")
  install(FILES src/atomic_ops/sysdeps/icc/ia64.h
          DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}/atomic_ops/sysdeps/icc")

  install(FILES src/atomic_ops/sysdeps/loadstore/acquire_release_volatile.h
            src/atomic_ops/sysdeps/loadstore/atomic_load.h
            src/atomic_ops/sysdeps/loadstore/atomic_store.h
            src/atomic_ops/sysdeps/loadstore/char_acquire_release_volatile.h
            src/atomic_ops/sysdeps/loadstore/char_atomic_load.h
            src/atomic_ops/sysdeps/loadstore/char_atomic_store.h
            src/atomic_ops/sysdeps/loadstore/double_atomic_load_store.h

## libatomic-ops 1.0-2

=== debian/changelog ===
libatomic-ops (1.0-2) unstable; urgency=low

  * Closes: bug#321284 -- we now only have the -dev package with the
    static libraries in it, and it replaces the normal version (this
    corrects an ahs3 thinko from 1.0-1).
  * Add a note to README.Debian about staticness and license
  * Add /doc subdir into package documents
  * Closes: bug#321291 -- use "Q" constraint in
    src/atomic_ops/sysdeps/gcc/x86.h for AO_test_and_set_full, see
    http://gcc.gnu.org/bugzilla/show_bug.cgi?id=23242 
  * Reopening #307448 -- the asm needs to be reconsidered and possibly
    rewritten for ARM.

 -- Ian Wienand <ianw@gelato.unsw.edu.au>  Fri,  5 Aug 2005 11:13:26 +1000

libatomic-ops (1.0-1) unstable; urgency=low

  * Closes: bug#307503 -- FTBS.  Update to upstream 1.0 (ianw)
  * The 'libatomic-ops' package now contains only a statically linked
    library, as upstream wishes (which makes sense, in this case, and
    still fits within policy).  The 'libatomic-ops-dev' package now 
    depends on the 'libatomic-ops' as a result to ensure a developer 
    can still properly link against the package (ahs3).
  * Update standards version to 3.6.2 (ahs3)
  * Closes: bug#307448 -- variable 'ret' undefined on ARM.  I think
    this has been solved but I could be wrong and may have to reopen
    this bug (ahs3).

 -- Al Stone <ahs3@debian.org>  Mon,  1 Aug 2005 22:25:38 -0600

libatomic-ops (0.5.1-4) unstable; urgency=low

  * Add man page

 -- Ian Wienand <ianw@gelato.unsw.edu.au>  Fri, 20 May 2005 08:28:14 +1000

libatomic-ops (0.5.1-3) unstable; urgency=low

  * Closes: bug#287276: support for amd64 -- thinko, skipped part
    of Kurt's patch inadvertently.

 -- Al Stone <ahs3@debian.org>  Mon, 21 Feb 2005 17:15:35 -0700

libatomic-ops (0.5.1-2) unstable; urgency=low

  * Closes: bug#287276: support for amd64 added (thanks to Kurt
    Roeckx <Q@ping.be> for the patch).
  * Closes: bug#244910: all architectures have now been enabled (only
    i386, ia64, amd64 are absolutely known to work, however)

 -- Al Stone <ahs3@debian.org>  Sat, 19 Feb 2005 15:47:31 -0700

libatomic-ops (0.5.1-1) unstable; urgency=low

  * Merge in Ian's changes for a non-native Debian package -- properly,
    this time.
  * Remove the auto* build-deps (the point of Ian's changes)
  * Closes: bug#270013 -- FTBFS: Permission problem on autogen.sh
  * Since we've started branching from upstream a little, change
    the versioning to reflect that -- hence, 0.5.1 to start with.

 -- Al Stone <ahs3@debian.org>  Tue,  7 Sep 2004 16:01:18 -0600

libatomic-ops (0.5-3) unstable; urgency=low

  * Update to cleanup and not be a debian native package
  * Closes: bug#266131: FTBFS: aclocal-1.7: command not found
  * Minor changes to debian/rules file (ahs3)
  * Cleanup minor typos before upload (ahs3)
  * Added 'libtool' to Build-Depends (ahs3)

 -- Ian Wienand <ianw@gelato.unsw.edu.au>  Fri, 27 Aug 2004 10:48:39 +1000

libatomic-ops (0.5-2) unstable; urgency=low

  * Cleanup of the source tree from Ian Wienand <ianw@gelato.unsw.edu.au>;
    got rid of all the generated files to simplify things.
  * Did cleanup of lintian-reported items

 -- Al Stone <ahs3@fc.hp.com>  Tue, 24 Aug 2004 22:50:25 -0600

libatomic-ops (0.5-1) unstable; urgency=low

  * Initial Release based on Ian Wienand's work (<ianw@gelato.unsw.edu.au>).
  * Inserted myself (Al Stone <ahs3@debian.org> as maintainer.
  * Cleaned up the various files needed in the debian directory.
  * Package now creates 'libatomic-ops' and 'libatomic-ops-dev'
  * Package now uses libtool
  * Closes: bug#231793 -- ITP for libatomic_ops

 -- Al Stone <ahs3@debian.org>  Sat, 13 Mar 2004 14:38:53 -0700

=== debian/control ===
Source: libatomic-ops
Priority: optional
Maintainer: Ian Wienand <ianw@gelato.unsw.edu.au>
Uploaders: Al Stone <ahs3@debian.org>
Build-Depends: debhelper (>= 4.0.0)
Standards-Version: 3.6.2

Package: libatomic-ops-dev
Section: libs
Depends: ${shlibs:Depends}
Architecture: any
Replaces: libatomic-ops
Description: A library for atomic operations (development files)
 Libatomic-ops implements a large collection of operations, each one
 of which is a combination of an (optional) atomic memory operation,
 and a memory barrier.  It also implements associated feature-test
 macros that determine whether a particular operation is available
 on the current target hardware (either directly or by synthesis).
 Libatomic-ops attempts to replace various existing files with similar
 goals, since they usually do not handle differences in memory barrier
 styles with sufficient generality.
 .
 This package provides the header files and documentation needed by
 developers.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


INSTALL = install
CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif


config.status: config-stamp
config-stamp:
	dh_testdir
	# Add here commands to configure the package.
	CFLAGS="$(CFLAGS)" ./configure --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info
	touch config-stamp

build: build-stamp
build-stamp:  config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	$(MAKE) check
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean
	rm -f config-stamp build-stamp
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	$(INSTALL) -m 644 debian/libatomic*.3 \
	                  debian/libatomic-ops-dev/usr/share/man/man3

	dh_link -A


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_movefiles
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
#	dh_installdebconf	
	dh_installman -a
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## libatomic-ops 1.2-3maemo1

=== debian/changelog ===
libatomic-ops (1.2-3maemo1) unstable; urgency=low

  * maemo port.
  * patch 4 fails to apply in scratchbox.
  * disable "check" rule.

 -- Marc-Andre Lureau <marc-andre.lureau@nokia.com>  Wed, 16 Jan 2008 14:41:11 +0200

libatomic-ops (1.2-3) unstable; urgency=low

  * Closes: #449152 -- updated MIPS patch from Thiemo Seufer

 -- Ian Wienand <ianw@debian.org>  Sun, 04 Nov 2007 19:01:31 +1100

libatomic-ops (1.2-2) unstable; urgency=low

  * Add patches/05_powerpc_asm.patch to fix invalid ASM in PowerPC, as per
    http://gcc.gnu.org/bugzilla/show_bug.cgi?id=33171 (Closes: #432654).
    Thanks to Sjoerd Simons <sjoerd@luon.net> for isolating the bug, and
    Andrew Pinkski for solution.

 -- Ian Wienand <ianw@debian.org>  Mon, 27 Aug 2007 11:13:13 +1000

libatomic-ops (1.2-1) unstable; urgency=low

  * New upstream
  * Remove 00_x86_intrin.patch, fixed upstream (with "=q")x

 -- Ian Wienand <ianw@debian.org>  Fri, 25 May 2007 11:29:30 +1000

libatomic-ops (1.1-4) unstable; urgency=low

  * Closes: #322027, #338469 -- add 04_m68k.patch for M68K support, from
    Roman Zippel <zippel@linux-m68k.org>.  Add note in README.Debian about
    port.
  * Change mainatiner address to my @debian.org

 -- Ian Wienand <ianw@debian.org>  Mon, 16 Oct 2006 09:45:29 +1000

libatomic-ops (1.1-3) unstable; urgency=low

  * move the check target under the rules to make cdbs run inbuilt tests
  * Closes: #307448 -- assuming the (newly re-enabled) test runs OK we
    seem to be building on ARM

 -- Ian Wienand <ianw@gelato.unsw.edu.au>  Thu,  8 Dec 2005 13:39:22 +1100

libatomic-ops (1.1-2) unstable; urgency=low

  * spell my name right in README.Debian
  * patches/03_nodoc.patch : don't install documentation, the packaging
    does this directly
  * really install manpages
  * clean up what docs get installed
  * don't auto generate control file, do it in external scripts

 -- Ian Wienand <ianw@gelato.unsw.edu.au>  Fri, 25 Nov 2005 16:28:16 +1100

libatomic-ops (1.1-1) unstable; urgency=low

  * New upstream release
  * Convert to use CDBS with patch system; move extra stuff over upstream
    into ./debian/patches
  * Closes: #336112, #338442 -- MIPS support debian/patches/02_mips.patch
    Thanks Thiemo!

 -- Ian Wienand <ianw@gelato.unsw.edu.au>  Mon, 31 Oct 2005 13:40:53 +1100

libatomic-ops (1.0-3) unstable; urgency=low

  * Closes: bug#332378 -- fix include headers in
    src/atomic_ops/sysdeps/gcc/s390.h

 -- Ian Wienand <ianw@gelato.unsw.edu.au>  Thu,  6 Oct 2005 16:14:49 +1000

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: libatomic-ops
 Priority: optional
-Maintainer: Ian Wienand <ianw@gelato.unsw.edu.au>
+Maintainer: Ian Wienand <ianw@debian.org>
 Uploaders: Al Stone <ahs3@debian.org>
-Build-Depends: debhelper (>= 4.0.0)
-Standards-Version: 3.6.2
+Build-Depends: cdbs (>= 0.4.23-1.1), autotools-dev, debhelper (>= 4.2.0), automake1.9, autoconf, patchutils (>= 0.2.25)
+Standards-Version: 3.7.2
 
 Package: libatomic-ops-dev
-Section: libs
+Section: libdevel
 Depends: ${shlibs:Depends}
 Architecture: any
 Replaces: libatomic-ops

=== debian/rules ===
#!/usr/bin/make -f

#nasty, but our patches touch parts of the build system.
DEB_AUTO_UPDATE_AUTOMAKE = 1.9
DEB_AUTO_UPDATE_ACLOCAL = $(DEB_AUTO_UPDATE_AUTOMAKE)
DEB_AUTO_UPDATE_AUTOCONF = 2.50

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/simple-patchsys.mk

#run tests
#DEB_MAKE_CHECK_TARGET := check

## libatomic-ops 7.4.2

=== debian/changelog ===
libatomic-ops (7.4.2-1ubuntu1) utopic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build using dh-autoreconf.
    - Show test results for failing tests.
    - Force AO_load() to map to AO_load_acquire() for powerpc.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 04 Aug 2014 12:48:07 +0200

libatomic-ops (7.4.2-1) unstable; urgency=medium

  * New upstream release
  * Update standards version 3.9.5 (no change)

 -- Ian Wienand <ianw@debian.org>  Sat, 21 Jun 2014 11:21:55 +1000

libatomic-ops (7.4-0ubuntu3) trusty; urgency=medium

  * Force AO_load() to map to AO_load_acquire() for powerpc.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 24 Feb 2014 20:27:17 +0100

libatomic-ops (7.4-0ubuntu1) trusty; urgency=medium

  * New upstream version.
  * Build using dh-autoreconf.
  * Show test results for failing tests.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 15 Jan 2014 18:20:40 +0100

libatomic-ops (7.3~alpha3+git20130717-1) unstable; urgency=low

  * Closes: 717095 -- update to current upstream for arm64
  * Update standards version (no change)

 -- Ian Wienand <ianw@debian.org>  Wed, 17 Jul 2013 09:06:32 +1000

libatomic-ops (7.3~alpha3+git20121114-1) unstable; urgency=low

  * Closes: 680100 -- include workaround for alpha spin-outs; thanks to
    Ivan Maidanski <ivmai@mail.ru> for diagnosing.

 -- Ian Wienand <ianw@debian.org>  Wed, 14 Nov 2012 15:27:35 -0800

libatomic-ops (7.3~alpha1+git20120718-1) unstable; urgency=low

  * Closes: 655872 -- Update from upstream git which fixes issues with
    older compilers as used on kfreebsd
    (613f39d369045e8fc385a439f67a575cddcc6fa1).  Thanks Ivan!

 -- Ian Wienand <ianw@debian.org>  Wed, 18 Jul 2012 07:08:36 -0700

libatomic-ops (7.3~alpha1+git20120701-1) unstable; urgency=low

  * Closes: 679680 -- Update from upstream git which contains fix for type
    issue on ia64 (3e7162d789df366a57d3e4a59dde4046f91ed135)

 -- Ian Wienand <ianw@debian.org>  Sun, 01 Jul 2012 22:20:34 -0700

libatomic-ops (7.3~alpha1+git20120621-1) unstable; urgency=low

  * Update from upstream git
  * Closes: 632604 -- Fixed by upstream 30cea1b as identified by Emanuele
    Aina and Gregor Herrmann <gregoa@debian.org>.  Thanks!

 -- Ian Wienand <ianw@debian.org>  Thu, 21 Jun 2012 09:55:15 -0700

libatomic-ops (7.3~alpha1+git20111031-1) unstable; urgency=low

  * Update from upstream git
  * Closes: 645302 -- Integrates patch from Thorsten Glaser

 -- Ian Wienand <ianw@debian.org>  Mon, 31 Oct 2011 23:01:03 -0700

libatomic-ops (7.3~alpha1+git20110913-1) unstable; urgency=low

  * New upstream release

 -- Ian Wienand <ianw@debian.org>  Tue, 13 Sep 2011 21:19:00 -0700

libatomic-ops (7.2~alpha5+cvs20101124-1) unstable; urgency=low

  * Closes: 604753 -- Update from upstream CVS, fixes ARM Thumb-2 mode
    FTBFS

 -- Ian Wienand <ianw@debian.org>  Wed, 24 Nov 2010 21:20:40 -0800

libatomic-ops (7.2~alpha5+cvs20100919-1) unstable; urgency=low

  * Closes: 597193 -- Update from upstream CVS to fix armel issues
  * Update to standards 3.9.1

 -- Ian Wienand <ianw@debian.org>  Sun, 19 Sep 2010 21:55:41 -0700

libatomic-ops (7.2~alpha5+cvs20100601-1) unstable; urgency=low

  * Update from upstream CVS, to fix AVR build issues with change from
    Brad Smith

 -- Ian Wienand <ianw@debian.org>  Tue, 01 Jun 2010 15:37:41 -0700

libatomic-ops (7.2~alpha5+cvs20100523-1) unstable; urgency=low

  * Update from upstream CVS
  * Closes: 580211 -- avr support integrated upstream (Thanks Stefano!)

 -- Ian Wienand <ianw@debian.org>  Fri, 21 May 2010 15:47:12 -0700

libatomic-ops (7.2~alpha5+cvs20100204-1) unstable; urgency=low

  * New upstream (with new version scheme based on the GC library)
  * Packagaing overhaul - remove unneeded debian/libatomic-ops-dev.files,
    debian/libatomic-ops-dev.install, debian/docs, debian/dirs
  * Update rules to use DEB_DESTDIR to install into /tmp
  * Pick only relevant files with debian/libatomic-ops-dev.install
  * Remove patch to ignore upstream doc generation, not needed with above
    changes

 -- Ian Wienand <ianw@debian.org>  Thu, 04 Feb 2010 14:57:58 -0800

libatomic-ops (1.2+cvs20091005-1) unstable; urgency=low

  * Update from upstream CVS
  * Closes: #547136 -- patch accepted upstream
  * Lintian updates : Update standards version, debhelper compat version,
    add Section tag for source, misc depends for debhelper

 -- Ian Wienand <ianw@debian.org>  Mon, 5 Oct 2009 11:08:00 -0700

libatomic-ops (1.2+cvs20080819-1) unstable; urgency=low

  * Update from upstream CVS
  * Closes: #495211 -- patch taken upstream, thanks Thiemo!

 -- Ian Wienand <ianw@debian.org>  Tue, 19 Aug 2008 14:25:24 -0700

libatomic-ops (1.2+cvs20080815-1) unstable; urgency=low

  * New upstream, taken from CVS repository at
    bdwgc.cvs.sourceforge.net:/cvsroot/bdwgc
    which upstream has told me is official home of the package.
  * Patches now included upstream: 01_s390_include.patch, 02_mips.patch,
    04_m68k.patch, 05_powerpc_asm.patch, 07_pic_cmpxchng.patch,

 -- Ian Wienand <ianw@debian.org>  Fri, 15 Aug 2008 21:26:06 -0700

libatomic-ops (1.2-4) unstable; urgency=low

  * Closes: #463390 -- Add 06_double.patch to fix some issues with double
    CAS defs.  Patch by Jamey Sharp, thanks Jamey!
  * This fixed up AO_compare_double_and_swap_double_full which then
    revealed a PIC problem, which then revealed the arguments to cmpxchg8b
    were around the wrong way, fixed in 07_pic_cmpxchng.patch

 -- Ian Wienand <ianw@debian.org>  Fri, 01 Feb 2008 11:09:33 +1100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: libatomic-ops
 Priority: optional
+Section: libdevel
 Maintainer: Ian Wienand <ianw@debian.org>
 Uploaders: Al Stone <ahs3@debian.org>
-Build-Depends: cdbs (>= 0.4.23-1.1), autotools-dev, debhelper (>= 4.2.0), automake1.9, autoconf, patchutils (>= 0.2.25)
-Standards-Version: 3.7.2
+Build-Depends: dh-autoreconf, debhelper (>= 8)
+Standards-Version: 3.9.5
 
 Package: libatomic-ops-dev
 Section: libdevel
-Depends: ${shlibs:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Architecture: any
 Replaces: libatomic-ops
 Description: A library for atomic operations (development files)

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

DEB_HOST_ARCH  ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

%:
	dh $@ --parallel --with autoreconf

override_dh_auto_test:
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	-dh_auto_test 2>&1 | tee test.log
	rv=0; \
	fails=$$(awk '/^# FAIL:/ { print $$3 }' test.log); \
	if [ "$$fails" -eq 0 ]; then \
	  echo "all tests did pass on $(DEB_HOST_ARCH)"; \
        else \
	  if [ -f debian/test-expected.$(DEB_HOST_ARCH) ]; then \
	    cp debian/test-expected.$(DEB_HOST_ARCH) test-expected.log; \
	  else \
	    rm -f test-expected.log; touch test-expected.log; \
	  fi; \
	  grep '^FAIL: ' test.log | sort > test-fail.log; \
	  comm -13 test-expected.log test-fail.log > test-regress.log; \
	  comm -23 test-expected.log test-fail.log > test-progress.log; \
	  if [ -z "$$(cat test-regress.log)" ]; then \
	    echo "expected test failures on $(DEB_HOST_ARCH)"; \
	    if [ -n "$$(cat test-progress.log)" ]; then \
	      echo "unexpected test progressions on $(DEB_HOST_ARCH)"; \
	      cat test-progress.log; \
	    fi; \
	  else \
	    echo "unexpected test failures on $(DEB_HOST_ARCH)"; \
	    cat test-regress.log; \
	    rv=1; \
	  fi; \
	  if [ -n "$$(cat test-fail.log)" ]; then \
	    for t in $$(awk '{print $$2}' test-fail.log); do \
	      echo "=============== $$t ==============="; \
	      cat tests/$$t.log; \
	    done; \
	    echo "=============== tests/test-suite.log ==============="; \
	    cat tests/test-suite.log; \
	  fi; \
	fi; \
	exit $$rv
endif

override_dh_auto_install:
	dh_auto_install --destdir=$(CURDIR)/debian/tmp

override_dh_auto_clean:
	rm -f test*.log
	dh_auto_clean

## libatomic-ops 7.6.6

=== debian/changelog ===
libatomic-ops (7.6.6-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 14:18:26 +0800

libatomic-ops (7.6.6-2) unstable; urgency=medium

  * Add debian watch file
  * Add VCS tags for salsa.debian.org packaging
  * libatomic-stack.3 : fix typo
  * Remove ${shlibs:Depends} as no shared libraries
  * Regenerate control
  * Switch to dpkg-source 3.0 (quilt)

 -- Ian Wienand <ianw@debian.org>  Tue, 11 Sep 2018 20:39:35 +1000

libatomic-ops (7.6.6-1) unstable; urgency=medium

  * New upstream release

 -- Ian Wienand <ianw@debian.org>  Thu, 23 Aug 2018 09:35:08 +1000

libatomic-ops (7.6.4-2) unstable; urgency=medium

  * Fix links to various README files which have changed (Closes: #902802)

 -- Ian Wienand <ianw@debian.org>  Mon, 02 Jul 2018 09:40:00 +1000

libatomic-ops (7.6.4-1) unstable; urgency=medium

  * New upstream release
  * New release includes RSIC-V patches (Closes: #891341)

 -- Ian Wienand <ianw@debian.org>  Wed, 28 Mar 2018 06:14:00 +1100

libatomic-ops (7.6.2-1) unstable; urgency=medium

  * Update to stable 7.6 branch
  * Drop 0001-Basic-support-of-TILE-Gx-and-TILEPro-CPUs.patch
    (04a286421802a503b58d804d0d673dd5a28c9e9b)

 -- Ian Wienand <ianw@debian.org>  Wed, 10 Jan 2018 09:32:42 +1100

libatomic-ops (7.4.8-1) unstable; urgency=medium

  * New upstream release
  * Remove 0002-Use-LLD-and-SCD-instructions-on-mips64.patch
    (upstream 0ff076ab581d83fba6a6f14c3c550c789699678c)
  * Remove 0003-Support-n32-ABI-for-mips64.patch (upstream
    9c92c7b0d7f6c41199583497c5b5cf4eb1105a30)
  * Update to standards 4.1.1 (no changes)

 -- Ian Wienand <ianw@debian.org>  Wed, 29 Nov 2017 20:45:24 +1100

libatomic-ops (7.4.4-3) unstable; urgency=medium

  * Skip check tests on ppc and armel platforms to allow testing
    migration.  Not a great solution, but nothing upstream and is done in
    Fedora packages too.

 -- Ian Wienand <ianw@debian.org>  Sat, 26 Nov 2016 09:56:33 +1100

libatomic-ops (7.4.4-2) unstable; urgency=medium

  * Restore missing MIPS patches from 7.4 branch (Closes: #773205)
  * Re-add from 7.4 branch 0002-Use-LLD-and-SCD-instructions-on-mips64.patch
    (0ff076ab581d83fba6a6f14c3c550c789699678c)
  * Re-add from 7.4 branch 0003-Support-n32-ABI-for-mips64.patch
    (9c92c7b0d7f6c41199583497c5b5cf4eb1105a30)

 -- Ian Wienand <ianw@debian.org>  Thu, 03 Nov 2016 20:25:29 +1100

libatomic-ops (7.4.4-1) unstable; urgency=medium

  * New upstream release
  * Remove 0001-Use-LLD-and-SCD-instructions-on-mips64.patch
    (54d1da56809b892d2fc521fea0fd41ea8c23e4f2)
  * Remove 004-Support-n32-ABI-for-mips64.patch
    (d3e884b41ede6d5a83ec480f72a8ed6fb4984e3c)
  * Remove 0002-Remove-inclusion-of-acquire_release_volatile.h-on-mi.patch
    (0f838defa3e466aff725213638f90e850430f2f9)
  * Remove 0003-Minor-fix-of-code-alignment-in-mips-AO_compare_and_s.patch
    (22ca163649571c72852f5892c05a4c1c53d50cc5)
  * Remove 0005-Fix-GCC-5.x-compatibility-for-AArch64-double-wide-pr.patch
    (437c10b73ae4b83306f77c851cf8385172ae3759)
  * Enable autoreconf (Closes: #821068)
  * Include patch for tilegx (backport
    04a286421802a503b58d804d0d673dd5a28c9e9b) (Closes: #841771)
  * Update standards 3.9.8 (no change)
  * Update compat to 9

 -- Ian Wienand <ianw@debian.org>  Tue, 25 Oct 2016 22:26:35 +1100

libatomic-ops (7.4.2-3) unstable; urgency=medium

  * Restore backported patches from 7.4.2-1.1 for mips64/arm64

 -- Ian Wienand <ianw@debian.org>  Mon, 25 Jan 2016 21:22:14 +1100

libatomic-ops (7.4.2-2) unstable; urgency=medium

  * Closes: 811550 -- implement multi-arch
  * Update standards version 3.9.6 (no change)

 -- Ian Wienand <ianw@debian.org>  Wed, 20 Jan 2016 11:14:12 +1100

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/libatomic_ops-$1\.tar\.gz/ \
  https://github.com/ivmai/libatomic_ops/tags .*/v?(\d\S+)\.tar\.gz

## libatomic-ops 7.6.10

=== debian/changelog ===
libatomic-ops (7.6.10-1) unstable; urgency=medium

  * New upstream release

 -- Ian Wienand <ianw@debian.org>  Sat, 23 Mar 2019 12:22:03 +1100

libatomic-ops (7.6.6-3) UNRELEASED; urgency=medium

  * d/changelog: Remove trailing whitespaces

 -- Ondřej Nový <onovy@debian.org>  Mon, 01 Oct 2018 09:35:05 +0200

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,18 @@
 Section: libdevel
 Maintainer: Ian Wienand <ianw@debian.org>
 Uploaders: Al Stone <ahs3@debian.org>
-Build-Depends: dh-autoreconf, debhelper (>= 8)
-Standards-Version: 3.9.5
+Build-Depends: cdbs,
+ autotools-dev,
+ debhelper,
+ dh-buildinfo,
+ dh-autoreconf, quilt
+Standards-Version: 4.1.1
+Vcs-Browser: https://salsa.debian.org/debian/libatomic-ops
+Vcs-Git: https://salsa.debian.org/debian/libatomic-ops.git
 
 Package: libatomic-ops-dev
 Section: libdevel
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}
 Architecture: any
 Replaces: libatomic-ops
 Description: A library for atomic operations (development files)

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/dpkg/architecture.mk
include /usr/share/cdbs/1/rules/autoreconf.mk

ifeq (,$(findstring $(DEB_BUILD_ARCH), powerpc ppc64 ppc64el armel))
  DEB_MAKE_CHECK_TARGET := check
endif

# use .install to pick out relevant stuff
DEB_DESTDIR = $(CURDIR)/debian/tmp

# multiarch
DEB_CONFIGURE_EXTRA_FLAGS += --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)

## libatomic-ops 7.6.12

=== debian/changelog ===
libatomic-ops (7.6.12-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * Convert from cdbs to dh
  * Bump debhelper compat to 11
  * debian/control: Add Homepage field
  * Run dh_auto_test everywhere again

  [ Ian Wienand ]
  * New upstream version 7.6.12

 -- Ian Wienand <ianw@debian.org>  Tue, 21 Sep 2021 16:24:11 +1000

libatomic-ops (7.6.10-2) unstable; urgency=medium

  * Remove myself as an Uploader.

 -- Al Stone <ahs3@debian.org>  Sun, 21 Mar 2021 14:00:37 -0600

## libatomic-ops 7.6.14

=== debian/changelog ===
libatomic-ops (7.6.14-1) unstable; urgency=medium

  * New upstream version 7.6.14

 -- Ian Wienand <ianw@debian.org>  Thu, 08 Sep 2022 13:35:25 +1000

=== debian/control ===
--- 
+++ 
@@ -2,18 +2,13 @@
 Priority: optional
 Section: libdevel
 Maintainer: Ian Wienand <ianw@debian.org>
-Uploaders: Al Stone <ahs3@debian.org>
-Build-Depends: cdbs,
- autotools-dev,
- debhelper,
- dh-buildinfo,
- dh-autoreconf, quilt
+Build-Depends: debhelper (>= 11)
 Standards-Version: 4.1.1
+Homepage: https://github.com/ivmai/libatomic_ops
 Vcs-Browser: https://salsa.debian.org/debian/libatomic-ops
 Vcs-Git: https://salsa.debian.org/debian/libatomic-ops.git
 
 Package: libatomic-ops-dev
-Section: libdevel
 Depends: ${misc:Depends}
 Architecture: any
 Replaces: libatomic-ops
@@ -29,4 +24,3 @@
  .
  This package provides the header files and documentation needed by
  developers.
-

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

# use .install to pick out relevant stuff
override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp

## libatomic-ops 7.8.0

=== debian/changelog ===
libatomic-ops (7.8.0-1) unstable; urgency=medium

  * New upstream version 7.8.0
  * Handle movement of doc files

 -- Ian Wienand <ianw@debian.org>  Sat, 01 Apr 2023 10:16:01 +1100

## libatomic-ops 7.8.2

=== debian/changelog ===
libatomic-ops (7.8.2-1build1) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 18:01:47 +0200

libatomic-ops (7.8.2-1) unstable; urgency=medium

  [ Ian Wienand ]
  * New upstream version 7.8.2

  [ Ivan Maidanski ]
  * Fix LICENSE filename in doc files
  * Add AUTHORS, LICENSE and README.md to package docs
  * Remove outdated note that m68k support is not in upstream
  * Remove outdated comment of non-full testing on some architectures

 -- Ian Wienand <ianw@debian.org>  Mon, 29 Jan 2024 20:56:30 +1100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: libatomic-ops
 Priority: optional
 Section: libdevel
-Maintainer: Ian Wienand <ianw@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ian Wienand <ianw@debian.org>
 Build-Depends: debhelper (>= 11)
 Standards-Version: 4.1.1
 Homepage: https://github.com/ivmai/libatomic_ops
@@ -12,6 +13,7 @@
 Depends: ${misc:Depends}
 Architecture: any
 Replaces: libatomic-ops
+Multi-Arch: same
 Description: A library for atomic operations (development files)
  Libatomic-ops implements a large collection of operations, each one
  of which is a combination of an (optional) atomic memory operation,

## libatomic-ops 7.10.0

=== debian/changelog ===
libatomic-ops (7.10.0-1) unstable; urgency=medium

  * New upstream version 7.10.0
  * Remove 0001-Update-AUTHORS-file-add-Roman-Zippel.patch, included
    upstream.

 -- Ian Wienand <ianw@debian.org>  Fri, 28 Nov 2025 23:21:29 +1100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: libatomic-ops
 Priority: optional
 Section: libdevel
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Ian Wienand <ianw@debian.org>
-Build-Depends: debhelper (>= 11)
+Maintainer: Ian Wienand <ianw@debian.org>
+Build-Depends: debhelper-compat (= 13)
 Standards-Version: 4.1.1
 Homepage: https://github.com/ivmai/libatomic_ops
 Vcs-Browser: https://salsa.debian.org/debian/libatomic-ops
